# DataExchange
TKSTEPBase
StepShape

# StepShape_HArray1OfFaceBound Class Reference

`#include <StepShape_HArray1OfFaceBound.hxx>`

## Public Member Functions

Standard_EXPORT | StepShape_HArray1OfFaceBound (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | StepShape_HArray1OfFaceBound (const Standard_Integer Low, const Standard_Integer Up, const Handle(StepShape_FaceBound)&V)
Standard_EXPORT void | Init (const Handle(StepShape_FaceBound)&V)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const Handle(StepShape_FaceBound)&Value)
const Handle_StepShape_FaceBound & | Value (const Standard_Integer Index) const
Handle_StepShape_FaceBound & | ChangeValue (const Standard_Integer Index)
const StepShape_Array1OfFaceBound & | Array1 () const
StepShape_Array1OfFaceBound & | ChangeArray1 ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

StepShape_Array1OfFaceBound | myArray

## Constructor & Destructor Documentation

Standard_EXPORT StepShape_HArray1OfFaceBound::StepShape_HArray1OfFaceBound | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT StepShape_HArray1OfFaceBound::StepShape_HArray1OfFaceBound | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up,
|  | const Handle(StepShape_FaceBound)& | V
| ) |

## Member Function Documentation

const StepShape_Array1OfFaceBound& StepShape_HArray1OfFaceBound::Array1 | ( |  | ) | const

StepShape_Array1OfFaceBound& StepShape_HArray1OfFaceBound::ChangeArray1 | ( |  | ) |

Handle_StepShape_FaceBound& StepShape_HArray1OfFaceBound::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT const StepShape_HArray1OfFaceBound::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void StepShape_HArray1OfFaceBound::Init | ( | const Handle(StepShape_FaceBound)& | V | ) |

Standard_Integer StepShape_HArray1OfFaceBound::Length | ( |  | ) | const

Standard_Integer StepShape_HArray1OfFaceBound::Lower | ( |  | ) | const

void StepShape_HArray1OfFaceBound::SetValue | ( | const Standard_Integer | Index,
|  | const Handle(StepShape_FaceBound)& | Value
| ) |

Standard_Integer StepShape_HArray1OfFaceBound::Upper | ( |  | ) | const

const Handle_StepShape_FaceBound& StepShape_HArray1OfFaceBound::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

StepShape_Array1OfFaceBound StepShape_HArray1OfFaceBound::myArray`[private]`

The documentation for this class was generated from the following file:

- StepShape_HArray1OfFaceBound.hxx